import { ResultRow } from "./types/types";
import { ChartData, ChartSeries, TableData } from "pptx-automizer";
import Modelizer from "./modelizer/modelizer";
export default class Convert {
    #private;
    modelizer: Modelizer;
    constructor(modelizer: Modelizer);
    toSeriesCategories(): ChartData;
    toVerticalLines(params?: {
        yValueOffset?: number;
    }): ChartData;
    toCombo(): ChartData;
    toScatter(): ChartData;
    toBubbles(): ChartData;
    toRowLabels(): TableData;
    toColumnLabels(): TableData;
    toTableBody(): TableData;
    toTable(params?: any): TableData;
    toResultRows(): ResultRow[];
    getSeries: () => ChartSeries[];
}
