import { CachedObject, Selector } from "../types/types";
export default class QueryCache {
    buffer: CachedObject[];
    exists: (selector: Selector, isNonGreedy: boolean) => boolean;
    get: (selector: Selector, isNonGreedy: boolean) => CachedObject;
    set: (selector: Selector, isNonGreedy: boolean, data: CachedObject) => void;
    clear: () => void;
    getKey: (selector: Selector, isNonGreedy: any) => string;
}
