import { DataPoint, Result, ResultCell, ResultColumn, ResultRow } from "../types/types";
export default class ResultInfo {
    result: Result;
    constructor(result: Result);
    rowCount(): number;
    rowKeys(): string[];
    getRowKeys(): any[];
    getColumnKeys(): string[];
    getPoint: (rowId: number, colId: number, valueId?: number) => DataPoint;
    getRow: (rowId: number) => ResultRow;
    getColumn: (row: ResultRow, colId: number) => ResultColumn | undefined;
    getValue: (column: ResultColumn | undefined, valueId?: number) => DataPoint | ResultCell | undefined;
    getMeta: (point: DataPoint, key: string) => any;
    hasMeta: (point: DataPoint, key: string) => any;
    getTag: (point: DataPoint, categoryId: number) => any;
}
