import { PrismaClient, Tag } from "@prisma/client";
import { ITagsCache } from "../types/types";
export default class TagsCache implements ITagsCache {
    prisma: PrismaClient;
    buffer: Tag[];
    constructor();
    init: (prisma: PrismaClient) => Promise<void>;
    exists: (name: string, categoryId: number) => boolean;
    tagExists: (tag: Tag) => boolean;
    getMany: (categoryId?: number) => Tag[];
    get: (name: string, categoryId: number) => Tag | null;
    create: (name: string, categoryId: number) => Promise<Tag>;
    set: (tag: Tag) => void;
}
