/**
 * Log contents of the current cell to console.
 * @param cell
 * @private
 */
import { Cell } from "./modelizer-types";
export declare const dumpCell: (cell: Cell) => void;
export declare const dumpHeader: (firstColSize: number, colSize: number, colKeys: string[]) => void;
export declare const dumpBody: (firstColSize: number, colSize: number, rowKeys: string[], colKeys: string[], cells: Cell[], renderCell: any) => void;
export declare const dumpFooter: (firstColSize: number, colSize: number, colKeys: string[]) => void;
export declare const toColSize: (s: string | number, size: number, fill?: string) => string;
